/*
 * NAME:
 *	rwxtra - read/write network
 *
 * DESCRIPTION:
 *	These routines provide a means of instantiating crypto or
 *	other hooks.  On most systems, we use syscall() to get to the
 *	real system call.  Where that is unavailable, we do some
 *	horrible hacks on object files extracted from libc.a
 *
 * AUTHOR:
 *	Simon J. Gerraty <sjg@crufty.net>
 */
/*
 * RCSid:
 *	$Id: rwxtra.h,v 1.2 2002/12/13 21:28:47 sjg Exp $
 *
 *      @(#)Copyright (c) 1996 Simon J. Gerraty.
 *      
 *      This is free software.  It comes with NO WARRANTY.
 *      Permission to use, modify and distribute this source code 
 *      is granted subject to the following conditions.
 *      1/ that the above copyright notice and this notice 
 *      are preserved in all copies and that due credit be given 
 *      to the author.  
 *      2/ that any changes to this code are clearly commented 
 *      as such so that the author does not get blamed for bugs 
 *      other than his own.
 *      
 *      Please send copies of changes and bug-fixes to:
 *      sjg@crufty.net
 */

#if defined(__svr4__) || defined(HAVE_LIBC_READ)
#undef CLOSE
#undef READ
#undef WRITE
#define CLOSE _libc_close
#define READ _libc_read
#define WRITE _libc_write
#include "rwstub.c"
#endif
